GH-AUTH-LOGOUT(1)

NAME
gh-auth-logout - Log out of a GitHub account

SYNOPSIS
gh auth logout [flags]

DESCRIPTION
Remove authentication for a GitHub account.

This command removes the stored authentication configuration for an account. The authentication configuration is only removed locally.

This command does not revoke authentication tokens.

To revoke all authentication tokens generated by the GitHub CLI:

1.  Visit ⟨https://github.com/settings/applications⟩

2.  Select the "GitHub CLI" application

3.  Select "Revoke Access"

4.  Select "I understand, revoke access"

Note: this procedure will revoke all authentication tokens ever generated by the GitHub CLI across all your devices.

For more information about revoking OAuth application tokens, see: ⟨https://docs.github.com/en/apps/oauth-apps/using-oauth-apps/reviewing-your-authorized-oauth-apps⟩

OPTIONS

-h, --hostname <string>
    The hostname of the GitHub instance to log out of

-u, --user <string>
    The account to log out of

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Select what host and account to log out of via a prompt
    $ gh auth logout
    # Log out of a specific host and specific account
    $ gh auth logout --hostname enterprise.internal --user monalisa

SEE ALSO
gh-auth(1)